%define module	DateManip
%define version 5.42a
%define release 1mdk

Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>
Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Patch0:		%{module}-COT.patch.bz2
Patch1:		%{module}-SORT.patch.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1 -b .cot
%patch1 -p1 -b .sort

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc HISTORY INSTALL README TODO
%{_mandir}/man*/*
%{perl_vendorlib}/Date

%changelog
* Tue Aug 26 2003 Franois Pons <fpons@mandrakesoft.com> 5.42a-1mdk
- added patch to avoid ramdomized keys of hash.
- 5.42a.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.40-7mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.40-6mdk
- rebuild for new auto{prov,req}

* Wed Apr 23 2003 Franois Pons <fpons@mandrakesoft.com> 5.40-5mdk
- fix bug 3814.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 5.40-4mdk
- rebuild for perl 5.8.0

* Mon Feb 25 2002 Franois Pons <fpons@mandrakesoft.com> 5.40-3mdk
- removed requires on IO::File so that perl-base only is needed.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 5.40-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 5.40-1mdk
- 5.40.
- udpated license.
- removed filelist, now use globing and macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.39-4mdk
- Rebuild against the latest perl.
- Remove the hardcoded Vendor and Distribution.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 5.39-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit
- run automated tests

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.39-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 5.39-1mdk
- Macroize package
